Bug 170701 - Review Request: php-Smarty - Template/Presentation Framework for PHP
Review Request: php-Smarty - Template/Presentation Framework for PHP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-13 16:38 EDT by Orion Poplawski
Modified: 2008-05-24 13:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 12:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-13 16:38:16 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/php-Smarty.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/php-Smarty-2.6.10-1.src.rpm
Description: 

Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.


This is my first php submission, be gentle :-).  Is there a clean way to get the
install dir added to the php include_path automatically?
Comment 1 Dmitry Butskoy 2005-10-14 09:25:19 EDT
Following PackageNamingGuidelines, "the name should match the upstream tarball
or project name from which this software came". Therefore the name should be
"Smarty".

Another reason for this -- normally, "php-something" means an extra module to
php (aka php-ldap.so, php-gd.so etc.)

Why you have commented out Source0 URL?
Comment 2 Orion Poplawski 2005-10-14 10:32:58 EDT
I was matching php-adodb in extras which is similar.  I think a php library is
much like a perl or python library which get perl- or py prefixes.

Source0 is commented out because it does not build properly with it in.

File
/export/home/orion/redhat/php-Smarty-2.6.10/do_download.php?download_file=Smarty-2.6.10.tar.gz:
No such file or directory
Comment 3 Dmitry Butskoy 2005-10-14 10:58:08 EDT
> I was matching php-adodb in extras which is similar.
Sadly, it is another bad example (its upstream name was "adodb"...).

> I think a php library is much like a perl or python library
> which get perl- or py prefixes.
Not all present "noarch" perl or python packages have such prefixes.

Anyway, "php-adodb" is an unique precedent. It would be better to ask about such
a naming in fedora-extras-list .


> Source0 is commented out because it does not build properly with it in.

???
I've download tarball from the location currently commented out, it matches the
tarball in the srpm. What is the reason to not specify full url for the tarball?
(It is "http://smarty.php.net/...", not "/export/home/orion/....")
 
Comment 4 Aurelien Bompard 2005-10-15 04:19:32 EDT
> > I was matching php-adodb in extras which is similar.
> Sadly, it is another bad example (its upstream name was "adodb"...).

I maintain php-adodb. I used the php prefix since there is also a python adodb
module. And since adodb extends php, I thought php-adodb was better than
adodb-php. If you think it's better the other way around, please open a bug, so
we don't pollute this one.
Comment 5 Tom "spot" Callaway 2005-10-15 13:56:29 EDT
If its a new module extension to php, it should be php-Smarty. If its just an
application that uses php to function, Smarty is ok.

Does that distinction make sense?
Comment 6 Orion Poplawski 2005-10-15 16:35:18 EDT
It's not an application and it's not strictly a php "module", it's a library (or
framework) written in php for use by php applications.  I doubt that there will
be a "Smarty" impletation in any other language though.  We make pure perl
libraries (or "modules") have perl-, and python use py/python-.  Makes sense to
have php- in this case, but I don't have a strong desire either way.
Comment 7 Toshio Kuratomi 2005-10-15 16:48:17 EDT
If I understand correctly, you're saying it isn't an extension to the php
interpreter ("php module").  But how does its being a library differ from, for
instance, php-pear?
Comment 8 Ignacio Vazquez-Abrams 2005-10-15 17:19:13 EDT
Templating modules in other languages are prefaced with the language (e.g.,
python-kid), so I don't see a difference here.
Comment 9 Orion Poplawski 2005-10-17 12:31:27 EDT
(In reply to comment #3)
> > Source0 is commented out because it does not build properly with it in.
> 
> ???
> I've download tarball from the location currently commented out, it matches the
> tarball in the srpm. What is the reason to not specify full url for the tarball?

Because it doesn't compile with it uncommented.  Try it.  rpmbuild can't parse
the cgi style url.  

Comment 10 Dmitry Butskoy 2005-10-18 07:17:01 EDT
(for comment #9)
Yes...
But it is not a final url. Actually, it will be redirected to more good one :)

Use:
"Source0: http://smarty.php.net/distributions/Smarty-%{version}.tar.gz"
it is the actual location.

Comment 11 Jeff Sheltren 2005-10-18 08:00:40 EDT
about adding to the php include_path, I don't think you should modify that
system-wide.  The Smarty documentation, here
http://smarty.php.net/manual/en/installing.smarty.basic.php
gives quite a few ways for people to include the Smarty code in their
application.  Examples 2-3 and 2-5 would work without having to modify php's
include_path.
Comment 12 Stefan Neufeind 2005-10-18 09:14:20 EDT
Does it really make sense to install an app like Smarty from extras? With
php-pear that's a difference imho, since it's an installer in itself. But PEAR
1.4.x allows the usage of channels - and there will be a channel offering
Smarty-releases as well. So the easiest way would be to simply install Smarty
using PEAR. And imho in the PHP-world more and more apps use PEAR anyway, so
it's already there.

Imho for PHP-apps it would make more sense to install those using the
PEAR-installer.
Comment 13 Orion Poplawski 2005-10-18 12:07:07 EDT
(In reply to comment #10)
> Use:
> "Source0: http://smarty.php.net/distributions/Smarty-%{version}.tar.gz"
> it is the actual location.

Thanks!
Comment 14 Orion Poplawski 2005-10-18 12:12:59 EDT
(In reply to comment #12)
> Does it really make sense to install an app like Smarty from extras? With
> php-pear that's a difference imho, since it's an installer in itself. But PEAR
> 1.4.x allows the usage of channels - and there will be a channel offering
> Smarty-releases as well. So the easiest way would be to simply install Smarty
> using PEAR. And imho in the PHP-world more and more apps use PEAR anyway, so
> it's already there.

Yeah, and perl has CPAN.  But we have *lots* of perl-* RPMs to allow for a
common mechanism to install software.
Comment 15 Aurelien Bompard 2005-11-01 08:51:36 EST
(In reply to comment #14)
> Yeah, and perl has CPAN.  But we have *lots* of perl-* RPMs to allow for a
> common mechanism to install software.

And to deal with dependencies...
From a pure packaging point of view, this package looks clean. I don't know of a
way to properly add a path to php's include_path, but it does not seem necessary
anyway.
Please provide a package with a full Source0 tag.
Comment 16 Orion Poplawski 2005-11-01 11:04:00 EST
Fixed Source0 URL:

http://www.cora.nwra.com/~orion/fedora/php-Smarty-2.6.10-2.src.rpm

Comment 17 Aurelien Bompard 2005-11-01 11:36:24 EST
Review for release 2:
* RPM name is OK
* Source Smarty-2.6.10.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of php-Smarty looks OK
* File list of php-Smarty looks OK
* Works fine.
APPROVED
Comment 18 Orion Poplawski 2005-11-02 12:42:45 EST
Checked into cvs and builds on devel.
Comment 19 Christopher Stone 2007-02-21 16:12:54 EST
Ownership change request, see:
https://www.redhat.com/archives/fedora-extras-list/2007-February/msg00331.html

New owner should be:  chris.stone@gmail.com
Comment 20 Christopher Stone 2008-05-23 18:01:35 EDT
Package Change Request
======================
Package Name: php-Smarty
New Branches: EL-5
Comment 21 Kevin Fenzi 2008-05-24 13:58:16 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.